- Main Page
- Namespaces
- Classes
- Files
- Directories

# psDoc.cpp File Reference

libLASi provides a C++ output stream interface for writing Postscript documents containing text strings in any of the world's scripts supported by Unicode 4.0 and Pango. More...

`#include <ostream>`
`#include <stdexcept>`
`#include <pango/pango.h>`
`#include <ctype.h>`
`#include <algorithm>`
`#include <cmath>`
`#include <LASi.h>`
`#include "contextMgr.h"`
`#include "glyphMgr.h"`
`#include "util.h"`
`#include "memory.h"`
`#include "stringDimensions.h"`
`#include <iomanip>`
`#include <stdlib.h>`

## Functions
static string | nameof (const FT_Face &face, const FT_UInt glyph_index)

## Detailed Description

libLASi provides a C++ output stream interface for writing Postscript documents containing text strings in any of the world's scripts supported by Unicode 4.0 and Pango.

Copyright (C) 2003, 2004, 2006 by Larry Siden. See README file in project root directory for copyright and contact info. See COPYING file in project root for terms of re-distribution.

## Function Documentation

static string nameof | ( | const FT_Face & | face,
|  | const FT_UInt | glyph_index |
| ) |  |  | `[static]`